- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# cnos_linkagg – Manage link aggregation groups on Lenovo CNOS devices

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module provides declarative management of link aggregation groups on Lenovo CNOS network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aggregate - |  | List of link aggregation definitions.
group - |  | Channel-group number for the port-channel Link aggregation group. Range 1-255.
members - |  | List of members of the link aggregation group.
mode - | Choices: active on passive | Mode of the link aggregation group.
provider - added in 2.8 |  | Deprecated Starting with Ansible 2.5 we recommend using `connection: network_cli`. For more information please see the CNOS Platform Options guide. A dict object containing connection details.
| auth_pass - |  | Specifies the password to use if required to enter privileged mode on the remote device. If authorize is false, then this argument does nothing. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTH_PASS` will be used instead.
| authorize boolean | Choices: no ← yes | Instructs the module to enter privileged mode on the remote device before sending any commands. If not specified, the device will attempt to execute all commands in non-privileged mode. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_AUTHORIZE` will be used instead.
| host - / required |  | Specifies the DNS host name or address for connecting to the remote device over the specified transport. The value of host is used as the destination address for the transport.
| password - |  | Specifies the password to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_PASSWORD` will be used instead.
| port - | Default: 22 | Specifies the port to use when building the connection to the remote device.
| ssh_keyfile - |  | Specifies the SSH key to use to authenticate the connection to the remote device. This value is the path to the key used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_SSH_KEYFILE` will be used instead.
| timeout - | Default: 10 | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.
| username - |  | Configures the username to use to authenticate the connection to the remote device. This value is used to authenticate the SSH session. If the value is not specified in the task, the value of environment variable `ANSIBLE_NET_USERNAME` will be used instead.
purge boolean | Choices: no ← yes | Purge links not defined in the aggregate parameter.
state - | Choices: present ← absent | State of the link aggregation group.

## Notes

Note

- Tested against CNOS 10.8.1

## Examples

    - name: create link aggregation group
      cnos_linkagg:
        group: 10
        state: present

    - name: delete link aggregation group
      cnos_linkagg:
        group: 10
        state: absent

    - name: set link aggregation group to members
      cnos_linkagg:
        group: 200
        mode: active
        members:
          - Ethernet1/33
          - Ethernet1/44

    - name: remove link aggregation group from GigabitEthernet0/0
      cnos_linkagg:
        group: 200
        mode: active
        members:
          - Ethernet1/33

    - name: Create aggregate of linkagg definitions
      cnos_linkagg:
        aggregate:
          - { group: 3, mode: on, members: [Ethernet1/33] }
          - { group: 100, mode: passive, members: [Ethernet1/44] }

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always, except for the platforms that use Netconf transport to manage the device. | The list of configuration mode commands to send to the device Sample: ['interface port-channel 30', 'interface Ethernet1/33', 'channel-group 30 mode on', 'no interface port-channel 30']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Anil Kumar Muraleedharan (@auraleedhar)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.